com.r3corda.node.services.statemachine

## Package com.r3corda.node.services.statemachine

### Types

ProtocolIORequest | `interface ProtocolIORequest`
ProtocolStateMachineImpl | `class ProtocolStateMachineImpl<R> : ProtocolStateMachine<R>`
ReceiveOnly | `data class ReceiveOnly<T : SessionMessage> : ReceiveRequest<T>`
ReceiveRequest | `interface ReceiveRequest<T : SessionMessage> : ProtocolIORequest`
SendAndReceive | `data class SendAndReceive<T : SessionMessage> : SendRequest, ReceiveRequest<T>`
SendOnly | `data class SendOnly : SendRequest`
SendRequest | `interface SendRequest : ProtocolIORequest`
StateMachineManager | `class StateMachineManager` A StateMachineManager is responsible for coordination and persistence of multiple ProtocolStateMachine objects. Each such object represents an instantiation of a (two-party) protocol that has reached a particular point.

### Exceptions

StackSnapshot | `class StackSnapshot : Throwable`